get file = 'hl.sav'.

weight by hhweight.

* select children who are of primary school entry age; this definition is
* country-specific and should be changed to reflect the situation in your
* country.
* In Uzbekistan survey was conducted in March-May. 
* Consequently, not all children 7 year of age (born September-March)could be eligible for.
* the primary school in the beginning of the school year.
* in order to adress it we have assessed school attendance for children 8 years of age.
 
select if (HL5 = 8 or hl5 = 7).

compute total = 1.
variable label total  "Number of children of primary school entry age".
value label total 1 "".

compute first  = 0.
* Including second & third grade due to age issues.
if (ED6A = 1 and (ED6B  = 1 or ED6B = 2 or ED6B = 3)) first =  100.
variable label first "Percentage of children of primary school entry age "+
  "currently attending grade 1 *".

* For Uzbekistan: Collapsing "Kyrgiz"  nationality to "Other".
recode HC1B (5 = 6).

tables
  /format = zero
  /observation = first
  /ftotal = tot1 "Total"
  /tables = HL4 + HH7 + HH6 + HL5 + melevel + wlthind5 + HC1B + tot1 
	  by first + total
  /statistics
    mean(first (f5.1) '')
  /title
    "Table ED.2: Primary school entry"
		"Percentage of children of primary school entry age attending grade 1, "+
		"Uzbekistan, 2006"
  /caption
    "* MICS Indicator 54".

new file.
