get file = 'hl.sav'.

weight by hhweight.

* select children who are of primary school age; this definition is
* country-specific and should be changed to reflect the situation in your country.
* In Uzbekistan survey was conducted in March-May. 
* Consequently, not all children 7 year of age (born September-March)could be eligible for.
* the primary school in the beginning of the school year.
* in order to adress it we included children 11 years of age.

select if (HL5 >= 7 and HL5 <= 11).

compute primary  = 0.
if (ED6A >= 1 and ED6A <= 3) primary =  100.
variable label primary "".

variable label HL4 "".

* For Uzbekistan: Collapsing "Kyrgiz"  nationality to "Other".
recode HC1B (5 = 6).

tables
  /format = zero
  /observation = primary
  /ftotal = tot1 "Total"
  /tables = HH7 + HH6 + HL5 + melevel + wlthind5 + HC1B + tot1 by 
	  HL4 > primary + tot1
  /statistics
    mean(primary (f5.1) 'Net attendance ratio')
    validn(primary (f5.0) 'Number of children')
  /title
    "Table ED.3: Primary school net attendance ratio"
		"Percentage of children of primary school age attending primary school or secondary school (NAR), Uzbekistan, 2006"
  /caption
    "* MICS indicator 55; MDG indicator 6".

new file.
