* First run ANNEW.SPS to load ANNEW.DAT into SPSS before running this program.

sort cases by hh1 hh2 ln.

save outfile = 'annew.sav'.

get file = 'ch.sav'.

sort cases by hh1 hh2 ln.

match files
  /file=*
  /table='annew.sav'
  /by hh1 hh2 ln.

use all.
compute filter_$=(haz <> newhaz or waz <> newwaz or whz <> newwhz or flag <> newflag).
filter by filter_$.
execute.

list variables = hh1 hh2 ln haz waz whz flag newhaz newwaz newwhz newflag.

filter off.

compute hap = newhap.
compute haz = newhaz.
compute ham = newham.
compute wap = newwap.
compute waz = newwaz.
compute wam = newwam.
compute whp = newwhp.
compute whz = newwhz.
compute whm = newwhm.
compute flag = newflag.
execute.

delete vars newhap newhaz newham newwap newwaz newwam newwhp newwhz newwhm newflag filter_$.

save outfile = 'ch.sav'.
