get file = 'hl.sav'.

weight by hhweight.

select if (hl5 >= 5 and hl5 <= 24).
if (ed4 <> 1)  ed6a = 10.
if (ed4 <> 1) ed6b  = 0.
if (ed4 = 1 and (ed6a = 8 or ed6a = 9)) ed6a = 8.
if (ed4 = 1 and (ed6a = 0 or ed6a >=4)) ed6b = 0.
if (ed6a = 8 and (missing(ed6a))) ed6a = 98.
if (ed2 =  2 and (missing(ed6a))) ed6a = 10.
if (ed2 =  2 and (missing(ed6b))) ed6b = 0.
variable label ed6a ''.
variable label ed6b ''.
value label ed6b 0 ' '.
compute total = 1.
value label total 1 "Total".

add value label ed6a 10 "Not attending school" 98 "DK.

tables
  /format = zero
  /ftotal = tot1 "Total"
  /table = hl5 + tot1 by ed6a > ed6b + tot1 + total
  /statistics
    cpct(ed6b (f5.1) '':hl5)
  /title
    "Table DQ.8: School attendance by single age" 
    "Distribution of household population age 5-24 by educational level and grade attended in the current (or previous) year, Uzbekistan, 2006".

new file.
