DATA LIST FILE='C:\MICS\SPSS\MYHH.DAT' RECORDS=1
/
 HH1         1-3   
 HH2         4-6   
 HH3         7-8   
 HH4         9-10  
 HH5D       11-12  
 HH5M       13-14  
 HH5Y       15-18  
 HH6        19-19  
 HH7        20-20  
 HH9        21-21  
 HH10       22-23  
 HH11       24-25  
 HH12       26-27  
 HH13       28-29  
 HH14       30-31  
 HH15       32-33  
 HH16A      34-35  
 HH16       36-37  
 TOHL6      38-39  
 TOHL7      40-41  
 TOHL8      42-43  
 WS1        44-45  
 WS2        46-47  
 WS3        48-50  
 WS4        51-51  
 WS5        52-52  
 WS6A       53-53   (A)
 WS6B       54-54   (A)
 WS6C       55-55   (A)
 WS6D       56-56   (A)
 WS6E       57-57   (A)
 WS6F       58-58   (A)
 WS6X       59-59   (A)
 WS6Z       60-60   (A)
 WS7        61-62  
 WS8        63-63  
 WS9        64-65  
 HC1B       66-66  
 HC2        67-68  
 HC3        69-70  
 HC4        71-72  
 HC5        73-74  
 HC6        75-76  
 HC7        77-77  
 HC7A       78-78  
 HC8        79-79  
 HC9A       80-80  
 HC9B       81-81  
 HC9C       82-82  
 HC9D       83-83  
 HC9E       84-84  
 HC9F       85-85  
 HC9N1      86-86  
 HC9N2      87-87  
 HC9N3      88-88  
 HC9N4      89-89  
 HC9N5      90-90  
 HC9N6      91-91  
 HC9N7      92-92  
 HC9N8      93-93  
 HC9N9      94-94  
 HC10A      95-95  
 HC10B      96-96  
 HC10C      97-97  
 HC10D      98-98  
 HC10E      99-99  
 HC10N1    100-100 
 HC10N2    101-101 
 HC11      102-102 
 HC12A     103-103 
 HC12      104-105 
 HC13      106-106 
 HC14A     107-108 
 HC14B     109-110 
 HC14C     111-112 
 HC14D     113-114 
 HC14E     115-116 
 HC14F     117-118 
 HC14N     119-120 
 HC14O     121-122 
 SI1       123-123 
.
VARIABLE LABELS
 HH1      "Cluster number"
/HH2      "Household number"
/HH3      "Interviewer number"
/HH4      "Supervisor Number"
/HH5D     "Day of interview"
/HH5M     "Month of interview"
/HH5Y     "Year of interview"
/HH6      "Area"
/HH7      "Region"
/HH9      "Result of HH interview"
/HH10     "Respondent HH questionnaire"
/HH11     "Number of household members"
/HH12     "Total eligible women"
/HH13     "Women interviews completed"
/HH14     "Total children under 5"
/HH15     "Child interviews completed"
/HH16A    "Data editor"
/HH16     "Data entry clerk"
/TOHL6    "Total number of Women 15-49"
/TOHL7    "Total number of Children 5-14"
/TOHL8    "Total number of children Under 5 years"
/WS1      "Main source of drinking water"
/WS2      "Main source of water used for other purposes (if bottled wat"
/WS3      "Time to get water and come back"
/WS4      "Person fetching water"
/WS5      "Treat water to make safer for drinking"
/WS6A     "Boil"
/WS6B     "Add bleach/chlorine"
/WS6C     "Strain it through a cloth"
/WS6D     "Use water filter"
/WS6E     "Solar disinfection"
/WS6F     "Let it stand and settle"
/WS6X     "Other"
/WS6Z     "DK"
/WS7      "Kind of toilet facility"
/WS8      "Toilet facility shared"
/WS9      "Households using this toilet facility"
/HC1B     "Mother tongue of head"
/HC2      "Number of rooms for sleeping"
/HC3      "Main material of floor"
/HC4      "Main material of roof"
/HC5      "Main material of wall"
/HC6      "Type of fuel using for cooking"
/HC7      "Food cooked on stove or open fire"
/HC7A     "Does the fire stove have a chimney or a hood"
/HC8      "Cooking location"
/HC9A     "Electricity"
/HC9B     "Radio"
/HC9C     "Television"
/HC9D     "Mobile phone"
/HC9E     "Non-mobile phone"
/HC9F     "Refrigerator"
/HC9N1    "The electric heater for water"
/HC9N2    "Table"
/HC9N3    "Chair"
/HC9N4    "Mirror"
/HC9N5    "The washing machine"
/HC9N6    "The vacuum cleaner"
/HC9N7    "The video tape recorder"
/HC9N8    "The armoir"
/HC9N9    "Furniture set"
/HC10A    "Watch"
/HC10B    "Bicycle"
/HC10C    "Motorcycle or scooter"
/HC10D    "Animal-drawn cart"
/HC10E    "Car or truck"
/HC10N1   "Computer"
/HC10N2   "Tractor"
/HC11     "Does any member of your household own any land for agricultu"
/HC12A    "Unit (hectares, handred hectares)"
/HC12     "How many hectares of agriculture"
/HC13     "Does this household own any livestock, heds, or animals"
/HC14A    "Number of cattle"
/HC14B    "Number of Milk cows or bulls"
/HC14C    "Number of horses donkeys, or mules"
/HC14D    "Number of Goats"
/HC14E    "Number of sheep"
/HC14F    "Number of chickens"
/HC14N    "Number of rabbits"
/HC14O    "Number of Camels"
/SI1      "Salt iodization test outcome"
.
VALUE LABELS
 HH4     
     1 ""
     8 ""
    13 ""
    19 ""
    24 ""
    30 ""
    36 ""
    41 ""
    47 ""
    53 ""
    60 ""
    66 ""
    72 ""
    78 ""
    79 ""
/HH5Y    
  2006 ""
/HH6     
     1 "Urban"
     2 "Rural"
/HH7     
     1 "Western"
     2 "Central"
     3 "Southern"
     4 "Central East"
     5 "East"
     6 "Tashkent"
/HH9     
     1 "Completed"
     2 "Not at home"
     3 "Refused"
     4 "HH not found/destroyed"
     6 "Other"
/HH10    
    99 "Missing"
/HH16A   
     2 ""
     9 ""
    14 ""
    20 ""
    25 ""
    31 ""
    37 ""
    42 ""
    48 ""
    54 ""
    61 ""
    67 ""
    73 ""
    80 ""
    81 ""
/WS1     
    11 "Piped into dwelling"
    12 "Piped into yard or plot"
    13 "Public tap/standpipe"
    21 "Tubewell/borehole"
    31 "Protected well"
    32 "Unprotected well"
    41 "Protected spring"
    42 "Unprotected spring"
    51 "Rainwater collection"
    61 "Tanker-truck"
    71 "Cart with small tank/drum"
    81 "Surface water"
    91 "Bottled water"
    96 "Other"
    99 "Missing"
/WS2     
    11 "Piped into dwelling"
    12 "Piped into yard or plot"
    13 "Public tap/standpipe"
    21 "Tubewell/borehole"
    31 "Protected well"
    32 "Unprotected well"
    41 "Protected spring"
    42 "Unprotected spring"
    51 "Rainwater collection"
    61 "Tanker-truck"
    71 "Cart with small tank/drum"
    81 "Surface water"
    96 "Other"
    99 "Missing"
/WS3     
   995 "On premises"
   998 "DK"
   999 "Missing"
/WS4     
     1 "Adult woman"
     2 "Adult man"
     3 "Female child (under 15)"
     4 "Male child (under 15)"
     8 "DK"
     9 "Missing"
/WS5     
     1 "Yes"
     2 "No"
     8 "DK"
     9 "Missing"
/WS6A    
'A' "Boil"
' ' ""
'?' "Missing"
/WS6B    
'B' "Add bleach/chlorine"
' ' ""
'?' "Missing"
/WS6C    
'C' "Strain it through a cloth"
' ' ""
'?' "Missing"
/WS6D    
'D' "Use water filter"
' ' ""
'?' "Missing"
/WS6E    
'E' "Solar disinfection"
' ' ""
'?' "Missing"
/WS6F    
'F' "Let it stand and settle"
' ' ""
'?' "Missing"
/WS6X    
'X' "Other"
' ' ""
'?' "Missing"
/WS6Z    
'Z' "DK"
' ' ""
'?' "Missing"
/WS7     
    11 "Flush to piped sewer system"
    12 "Flush to septic tank"
    13 "Flush to pit (latrine)"
    14 "Flush to somewhere else"
    15 "Flush to unknown place/not sure/DK where"
    21 "Ventilated Improved Pit latrine (VIP)"
    22 "Pit latrine with slab"
    23 "Pit latrine without slab/open pit"
    31 "Composting toilet"
    41 "Bucket"
    51 "Hanging toilet/hanging latrine"
    95 "No facilities or bush or field"
    96 "Other"
    99 "Missing"
/WS8     
     1 "Yes"
     2 "No"
     9 "Missing"
/WS9     
    10 "Ten or more households"
    98 "DK"
    99 "Missing"
/HC1B    
     1 "Uzbek"
     2 "Russian"
     3 "Karakalpak"
     4 "Tajik"
     5 "Kirgiz"
     6 "Other Language"
     9 "Missing"
/HC2     
    99 "Missing"
/HC3     
    11 "Earth/sand"
    21 "Wood planks"
    31 "Parquet or polished wood"
    32 "Vinyl or asphalt strips"
    33 "Ceramic tiles"
    34 "Cement"
    35 "Carpet"
    96 "Other"
    99 "Missing"
/HC4     
    12 "Thatch/palm leaf"
    14 "Earther cover"
    21 "Rustic mat"
    23 "Wood Planks"
    31 "Metal"
    32 "Wood"
    33 "Calamine/cement fiber"
    34 "Ceramic tiles"
    35 "Cement"
    96 "Other"
    99 "Missing"
/HC5     
    22 "Stone with mud"
    23 "Uncovered adobe"
    24 "Plywood"
    26 "Reused wood"
    31 "Cement"
    32 "Stone with lime/cement"
    33 "Bricks"
    34 "Cement blocks"
    35 "Covered adobe"
    36 "Wood planks/shingles"
    96 "Other"
    99 "Missing"
/HC6     
     1 "Electricity"
     2 "Liquid propane gas (LPG)"
     3 "Natural gas"
     4 "Biogas"
     5 "Kerosene"
     6 "Coal/lignite"
     7 "Charcoal"
     8 "Wood"
     9 "Straw/shrubs/grass"
    10 "Animal dung"
    11 "Agricultural crop residue"
    96 "Other"
    99 "Missing"
/HC7     
     1 "Open fire"
     2 "Open stove"
     3 "Closed stove"
     6 "Other"
     9 "Missing"
/HC7A    
     1 "Yes"
     2 "No"
     9 "Missing"
/HC8     
     1 "In the house"
     2 "In a separate bulding"
     3 "Outdoors"
     6 "Other"
     9 "Missing"
/HC9A    
     1 "Yes"
     2 "No"
     9 "Missing"
/HC9B    
     1 "Yes"
     2 "No"
     9 "Missing"
/HC9C    
     1 "Yes"
     2 "No"
     9 "Missing"
/HC9D    
     1 "Yes"
     2 "No"
     9 "Missing"
/HC9E    
     1 "Yes"
     2 "No"
     9 "Missing"
/HC9F    
     1 "Yes"
     2 "No"
     9 "Missing"
/HC9N1   
     1 "Yes"
     2 "No"
     9 "Missing"
/HC9N2   
     1 "Yes"
     2 "No"
     9 "Missing"
/HC9N3   
     1 "Yes"
     2 "No"
     9 "Missing"
/HC9N4   
     1 "Yes"
     2 "No"
     9 "Missing"
/HC9N5   
     1 "Yes"
     2 "No"
     9 "Missing"
/HC9N6   
     1 "Yes"
     2 "No"
     9 "Missing"
/HC9N7   
     1 "Yes"
     2 "No"
     9 "Missing"
/HC9N8   
     1 "Yes"
     2 "No"
     9 "Missing"
/HC9N9   
     1 "Yes"
     2 "No"
     9 "Missing"
/HC10A   
     1 "Yes"
     2 "No"
     9 "Missing"
/HC10B   
     1 "Yes"
     2 "No"
     9 "Missing"
/HC10C   
     1 "Yes"
     2 "No"
     9 "Missing"
/HC10D   
     1 "Yes"
     2 "No"
     9 "Missing"
/HC10E   
     1 "Yes"
     2 "No"
     9 "Missing"
/HC10N1  
     1 "Yes"
     2 "No"
     9 "Missing"
/HC10N2  
     1 "Yes"
     2 "No"
     9 "Missing"
/HC11    
     1 "Yes"
     2 "No"
     9 "Missing"
/HC12A   
     1 "Hectares"
     2 "hundred hectares"
     9 "DK"
/HC12    
    97 "More than 97"
    98 "Don't know"
    99 "Missing"
/HC13    
     1 "Yes"
     2 "No"
     9 "Missing"
/HC14A   
    97 "More than 97"
    98 "Don't know"
    99 "Missing"
/HC14B   
    97 "More than 97"
    98 "Don't know"
    99 "Missing"
/HC14C   
    97 "More than 97"
    98 "Don't know"
    99 "Missing"
/HC14D   
    97 "More than 97"
    98 "Don't know"
    99 "Missing"
/HC14E   
    97 "More than 97"
    98 "Don't know"
    99 "Missing"
/HC14F   
    97 "More than 97"
    98 "Don't know"
    99 "Missing"
/HC14N   
    97 "More than 97"
    98 "Don't know"
    99 "Missing"
/HC14O   
    97 "More than 97"
    98 "Don't know"
    99 "Missing"
/SI1     
     1 "Not iodized 0 PPM (no colour)"
     2 "Less than 15 PPM (weak colour)"
     3 "15 PPM or more (strong colour)"
     6 "No salt in home"
     7 "Salt not tested"
     9 "Missing"
.
EXECUTE.
